# Class Phase

#### Hierarchy (view full)

- Phase
  - EggHatchPhase
  - EvolutionPhase
  - EndEvolutionPhase
  - LoginPhase
  - TitlePhase
  - UnavailablePhase
  - ReloadSessionPhase
  - OutdatedPhase
  - SelectGenderPhase
  - SelectChallengePhase
  - SelectStarterPhase
  - BattlePhase
  - MessagePhase
  - EndCardPhase
  - UnlockPhase
  - PostGameOverPhase
  - EggLapsePhase
  - AddEnemyBuffModifierPhase

- Defined in src/phase.ts:3

#####
Index

### Constructors

constructor

### Properties

scene

### Methods

end
start

## Constructors

### constructor

- new Phase(scene): Phase

- #### Parameters

  - scene: default

  #### Returns Phase

  - Defined in src/phase.ts:6

## Properties

### `Protected` scene

scene: default

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  - Defined in src/phase.ts:17

### start

- start(): void

- #### Returns void

  - Defined in src/phase.ts:10